%define name drakwizard
%define version 2.5
%define release 1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Other
Requires: perl-base, usermode, perl-Locale-gettext, drakxtools >= 9.1-0.4mdk
BuildRequires: gtk+-devel
# perl-XML-Parser needed to extract strings in XML to po
BuildRequires: gettext-base 
Buildroot: %{_tmppath}/%{name}
BuildArch: noarch
Prefix: %{_prefix}

Obsoletes: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix

Provides: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix

Summary: Wizard Launcher and its collection of wizards
URL: http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/wizard_perl

%description
drakwizard allows you to launch :
- server wizard: configures basic services.
- global wizard: wizard that launch each other.
- dhcpd, dns, postfix, samba, firewall, web, ftp, news, time wizards...

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/gnome-vfs-2.0/vfolders/*
%_sbindir/drakwizard
%_datadir/wizards*
%{perl_vendorlib}/MDK/

%changelog
* Fri Sep 19 2003 Warly <warly@mandrakesoft.com> 2.5-1mdk
- spell fixes
- update po

* Wed Sep 17 2003 Warly <warly@mandrakesoft.com> 2.4-1mdk
- better ip checking in dhcp
- better string displaying in error and warning
- check that the wizard is run as root

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 2.3-1mdk
- fix postfix bad strings
- fix samba printer exporting

* Sat Sep 13 2003 Warly <warly@mandrakesoft.com> 2.2-1mdk
- fix apache config
- fix squid config
- separate region and country in time server
- fix samba server
- fix inn server
- fix nfs server
- fix ftp server
- fix dns_client server

* Tue Sep 02 2003 Warly <warly@mandrakesoft.com> 2.1-1mdk
- complete squid/proftpd/inn wizard
- add own images to wizards
- add boolean list handling

* Fri Aug 22 2003 Warly <warly@mandrakesoft.com> 2.0-1mdk
- remove all the XML/shell part, now it is just perl
- everything should be broken
- squid/proftpd/inn are not yet ported

* Fri Aug 08 2003 David Baudens <baudens@mandrakesoft.com> 1.8-2mdk
- Update banners

* Tue Mar 11 2003 Warly <warly@mandrakesoft.com> 1.8-1mdk
- ntp wizard add the server name in the ntp.conf file (bug 534)

* Tue Mar 11 2003 David BAUDENS <baudens@mandrakesoft.com> 1.7-2mdk
- Update banners

* Sun Mar 09 2003 Warly <warly@mandrakesoft.com> 1.7-1mdk
- set server ip as dns if 127.0.0.1 is the server nameserver

* Sat Mar 08 2003 Warly <warly@mandrakesoft.com> 1.6-1mdk
- do not choose 127.0.0.1 in dhcp server wizard if another dns is available

* Wed Mar 05 2003 Warly <warly@mandrakesoft.com> 1.5-1mdk
- remove firewall wizard
- try to fix server wizard (unused anyway)

* Mon Mar 03 2003 Warly <warly@mandrakesoft.com> 1.4-1mdk
- gc fixes UTF8 problem

* Sun Mar 2 2003 Warly <warly@mandrakesoft.com> 1.3-1mdk
- start nfs server at the end of nfs wizard
- add dns and gateway in dhcp server config, remove nis, netbios and others
- add apache2 wizard
- compute a correct domainame, dns and gateway in IFCFG.pm
- replace shell function for chek_masquerade and check_relay by perl ones
- restart postfix at the end of postfix configuration
- fix summary not returning right combo boxes and boolean values
- remove unused dir field in ftp wizard

* Thu Dec 19 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.1-1mdk
- fix to get png images with gtk2

* Mon Nov 18 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-4mdk
- Fixed FTP wizard install

* Wed Nov 13 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-3mdk
- s|_(||N(|

* Tue Nov  5 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-2mdk
- Oops (silly rpm -ba instead of make rpm).

* Mon Nov  4 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0-1mdk
- Summary mode (expert mode, no help, all on the same page)
- Greyed fields depending on configuration.
- Scrollbar bugfix
- Dynamique checkbox list
- i18n/XML typo bug fix.
- Samba : shared printers selection, access restriction.
- NFS : improved parser, confirmation page.

* Thu Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2-14mdk
- BuildRequires: gettext perl-XML-Parser

* Fri Sep 20 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-13mdk
- added chooser for acces restriction for NFS
- dns (test /etc/named.conf)
- time fix (infinite while when ntp server unreachable) 
- require leafnode for news wizard

* Thu Sep 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-12mdk
- fix i18n typo
- test and cp /etc/sysconfig/network-scripts/draknet_conf to .../drakconnect_conf

* Fri Sep  6 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-11mdk
- SAMBA : s|samba-server|samba|
- DHCP : not authoritative
	 added check()

* Fri Sep  6 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-10mdk
- Web : require apache instead of apache-conf
- DHCP: test if is already a dhcp client,
	test dhcpd.conf before cp,
	temporary no check for ip range
- NTP:	test before copying step-tickers,
	fixed bug in cp of zoneinfo

* Thu Sep  5 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-9mdk
- Fixed time wizard install
- Added some msgid in .pot generation.
- s|Configure button|Next button|

* Thu Sep  5 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-8mdk
- New icons
- Fixed postfix

* Thu Aug 29 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-7mdk
- Fixed time wizard (better chooser support)
- Traduction improvements.
- Fixed dhcp and postfix scripts bug.
- Added nfs wizard.

* Tue Aug 27 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-6mdk
- Postfix conf bug fix.
- Removed those DEBUG page that make navigation buggy
- No check for old net conf.

* Fri Aug 23 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-5mdk
- Added wizard's png icons
- Added samba home acces fonctionnality
- Add support for server-settings: for GNOME 2 (fcrozat)
- Wiz cleanup.

* Tue Aug 20 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-4mdk
- Wizard chooser if launched without arguments and a lot of bug fixes.

* Tue Aug 13 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-3mdk
- use of drakconnect db for web, ftp and samba wizards.

* Mon Aug 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-2mdk
- proftpd support

* Fri Aug  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.2-1mdk
- i18n support

* Wed Aug  7 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-7mdk
- No "prev" when it is impossible.

* Tue Aug  6 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-6mdk
- A lot of bug fixes in wiz files
- Added chooser support.

* Fri Aug  2 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-5mdk
- Added sub wizard support

* Fri Aug  2 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-4mdk
- Server wizard navigation bugs fixes.

* Thu Aug  1 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-3mdk
- Dns wizard bug fixes and optimisations
- Set isWizard

*  Wed Jul 31 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-2mdk
- Added require perl-XML-Parser and a Provides section.

*  Fri Jul 25 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.1-1mdk
- First packaging

